package com.example.demo.waluty;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class WalutyController {
    private PobieranieXML pobieracz = new PobieranieXML();
    
    @GetMapping("/waluty")
    public String wyswietlWaluty(String data, Model model) {
        TabelaWalut tabela = pobieracz.pobierzTabele(data);
        model.addAttribute("tabela", tabela);
        return "waluty.html";
    }

}
